Loading...
Searching...
No Matches
BALL::RadiusRuleProcessor Class Reference
Molecular Modeling » Molecular Mechanics » Rule-based parameter assignment

`#include <BALL/MOLMEC/COMMON/radiusRuleProcessor.h>`

Inheritance diagram for BALL::RadiusRuleProcessor:

## Public Member Functions

| RadiusRuleProcessor ()
| RadiusRuleProcessor (INIFile &file, const String &prefix="RadiusRules")
| RadiusRuleProcessor (const RadiusRuleProcessor &rule_processor)
| ~RadiusRuleProcessor ()
Processor related methods
virtual Processor::Result | operator() (Atom &atom)
Public Member Functions inherited from BALL::RuleProcessor
| RuleProcessor ()
| RuleProcessor (INIFile &file, const String &prefix)
| RuleProcessor (const RuleProcessor &rule_processor)
| ~RuleProcessor ()
void | clear ()
void | destroy ()
bool | initialize (INIFile &file, const String &prefix)
const RuleProcessor & | operator= (const RuleProcessor &rule_processor)
void | set (const RuleProcessor &rule_processor)
virtual bool | start ()
virtual bool | finish ()
String | evaluate (const Atom &atom)
bool | isValid () const
void | dump (std::ostream &s=std::cout) const
Public Member Functions inherited from BALL::UnaryProcessor< Atom >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
RuleEvaluator | evaluator_
bool | valid_

## Detailed Description

Radius Rule Processor.

Definition at line 22 of file radiusRuleProcessor.h.

## Constructor & Destructor Documentation

## RadiusRuleProcessor() [1/3]

BALL::RadiusRuleProcessor::RadiusRuleProcessor | ( |  | ) |

Constructors and Destructors Default constructor

## RadiusRuleProcessor() [2/3]

BALL::RadiusRuleProcessor::RadiusRuleProcessor | ( | INIFile & | file,
|  | const String & | prefix = "RadiusRules" )

Detailed constructor

## RadiusRuleProcessor() [3/3]

BALL::RadiusRuleProcessor::RadiusRuleProcessor | ( | const RadiusRuleProcessor & | rule_processor | ) |

Copy constructor

## ~RadiusRuleProcessor()

BALL::RadiusRuleProcessor::~RadiusRuleProcessor | ( |  | ) |

Destructor

## Member Function Documentation

## operator()()

virtual Processor::Result BALL::RadiusRuleProcessor::operator() | ( | Atom & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< Atom >.